Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985703 - maven: Update to Eclipse Aether
Summary: maven: Update to Eclipse Aether
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 985674 985689
TreeView+ depends on / blocked
 
Reported: 2013-07-18 05:24 UTC by Mikolaj Izdebski
Modified: 2013-07-25 04:04 UTC (History)
6 users (show)

Fixed In Version: 3.1.0-2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-25 04:04:34 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2013-07-18 05:24:26 UTC
Description of problem:
Package maven currently Requires or BuildRequires aether.

Currently Fedora ships Sonatype Aether, but there are plans to migrate
to Eclipse Aether.  Because Eclipse Aether is incompatible with Sonatype Aether
maven will likely have to be updated or patched.

Version-Release number of selected component (if applicable):
3.0.5-7

Comment 1 Mikolaj Izdebski 2013-07-23 09:11:55 UTC
Fixed in maven-3.1.0-1

Comment 2 Mikolaj Izdebski 2013-07-25 04:04:34 UTC
I believe that this bug is fixed in maven-3.1.0-2,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=436927


Note You need to log in before you can comment on or make changes to this bug.